# to use this add docker-compose/selenium.override.yml
# to your COMPOSE_FILE var in .env
services:
## We list all of the different standalone containers as `selenium-hub` since Jenkins
##  will use the actual hub + node configuration instead of a standalone for performance
##  reasons. Listing all of them as selenium-hub saves a great deal of configuration issues
## Chrome
  selenium-hub:
    image: selenium/standalone-chromium:126.0-20240621
    shm_size: 2gb
    depends_on:
      - web
    labels:
        - "traefik.enable=true"
    init: true
    ports:
      - 4444:4444
      - 7900:7900
## Firefox
  # selenium-hub:
  #   image: selenium/standalone-firefox
  #   depends_on:
  #     - web
  #   init: true
  #   ports:
  #     - 4444:4444
  #     - 7900:7900
## Edge
  # selenium-hub:
  #   image: selenium/standalone-edge
  #   depends_on:
  #     - web
  #   init: true
  #   ports:
  #    - 4444:4444
  #    - 7900:7900
networks:
  default:
    external: true
    name: "inst_shared"